function y = eq_optimal(x,T,q,Rpath,POPpath);

GLOBALS 

y       = zeros(3*T+2,size(x,2));
FILL1   = ones(T,1);
FILL2   = ones(1,size(x,2));

rho1    = FILL1*x(1,:);
rho2    = FILL1*x(2,:);
rho4    = x(3:T+2,:);
ca      = exp(x(T+3:2*T+2,:));
h       = exp(x(2*T+3:3*T+2,:));

ci      = U1(ca,h).^(-1/muI);


Q       = q*FILL2;
R       = Rpath*FILL2;
ETA     = ETApath*FILL2;
EFF     = EFFpath*FILL2;
B       = B0;
G       = G0;
POP     = POPpath*FILL2;
Rhat    = 1 + R;
vecU1   = ETA.*U1(ca,h);
vecU11  = ETA.*U11(ca,h);
vecU13  = ETA.*U13(ca,h);
vecU2   = (1-ETA).*U2(ci);
vecU22  = (1-ETA).*U22(ci);
vecU3   = ETA.*U3(ca,h);
vecU33  = ETA.*U33(ca,h);

dCIdCA  = exp(zeta*(1-mu)/mu*h.^(1+gmma));
dCIdH   = zeta*(1-mu)/mu*(1+gmma)*h.^gmma.*ca.*exp(zeta*(1-mu)/mu*h.^(1+gmma));

W2      = vecU2 + rho1 .* (vecU2 + vecU22.*ci);
W1      = vecU1 + rho1 .* (vecU1 + vecU11.*(ca-B./(ETA*(1+tauC))) + ...
          vecU13.*h) + W2.*dCIdCA;
W3      = vecU3 + rho1 .* (vecU3 + vecU33.*h + ...
          vecU13.*(ca-B./(ETA*(1+tauC)))) + W2.*dCIdH;

KY      = theta ./ ((1+tauPI).*R + delta);


% =====================================================================
% First condition: IC
% =====================================================================
ic      = (bta.^(0:T-1)'*FILL2).*POP.* ...
          (vecU1.*(ca-B./(ETA*(1+tauC))) + vecU2.*ci + vecU3.*h);
y(1,:)  = sum(ic) + bta*ic(end,:)/(1-bta) - vecU1(1,:)*Rhat(1,1)* ...
          A0/((1+tauC)*ETApath(1));


% =====================================================================
% Second condition: GBC
% =====================================================================
gbc     = G + ETA.*ca + (1-ETA).*ci - ...
          (tauPI*R.*KY.^(1/(1-theta))+...
          (1-theta)*KY.^(theta/(1-theta))).*ETA.*EFF.*h;
y(2,:)  = sum(Q.*POP.*gbc) + bta*Q(end,:).*POP(end,:).*gbc(end,:)/(1-bta) - ...
          (1+Rpath(1))*(A0-D0);

          
% =====================================================================
% Fourth condition: Household FOC ca(t),ca(t+1)
% Assume steady state at end
% =====================================================================
dum1 = bta*vecU1.*Rhat./ETA;
y(3:T+2,:) = vecU1./ETA - [dum1(2:end,:); dum1(end,:)];


% =====================================================================
% Fifth condition: Ramsey FOC ca
% =====================================================================
dum2 =   (bta.^(0:T-1)'*FILL2).*W1 + rho2.*Q.*ETA + ...
         - rho4.*vecU11./ETA + rho2.*Q.*(1-ETA).*dCIdCA;
y(T+3,:) = dum2(1,:)-rho1(1,:).*vecU11(1,:)*Rhat(1,1)*A0/ETApath(1)/(1+tauC);         
y(T+4:2*T+2,:) = dum2(2:end,:) + bta*rho4(1:end-1,:).* ...
         Rhat(2:end,:)./ETA(2:end,:).*vecU11(2:end,:);



% =====================================================================
% Seventh condition: Ramsey FOC h
% =====================================================================
dum3 =   (bta.^(0:T-1)'*FILL2).*W3 - ...
         rho2.*Q.*ETA.*EFF.*(tauPI*R.*KY.^(1/(1-theta))+...
            (1-theta)*KY.^(theta/(1-theta))) + ...
         - rho4.*vecU13./ETA + ...
         rho2.*Q.*(1-ETA).*dCIdH;
y(2*T+3,:) = dum3(1,:)-rho1(1,:).*vecU13(1,:)*Rhat(1,1)*A0/ETApath(1)/(1+tauC);
y(2*T+4:3*T+2,:) = dum3(2:end,:) + bta*rho4(1:end-1,:).* ...
         Rhat(2:end,:)./ETA(2:end,:).*vecU13(2:end,:);


