function y = eq_optimal_autarky(x,T,POPpath);

GLOBALS 

y       = zeros(5*T+1,size(x,2));
FILL1   = ones(T,1);
FILL2   = ones(1,size(x,2));

rho1    = FILL1*x(1,:);
rho2    = x(2:T+1,:);
rho4    = x(T+2:2*T+1,:);
ca      = exp(x(2*T+2:3*T+1,:));
h       = exp(x(3*T+2:4*T+1,:))./(1+exp(x(3*T+2:4*T+1,:)));
nextK   = exp(x(4*T+2:5*T+1,:));

ci      = U1(ca,h).^(-1/muI);
K       = [nextK(1,:); nextK(1:end-1,:)];
K(1,:)  = A0 - D0;

ETA     = ETApath*FILL2;
EFF     = EFFpath*FILL2;
B       = B0;
G       = G0;
POP     = POPpath*FILL2;
vecU1   = ETA.*U1(ca,h);
vecU11  = ETA.*U11(ca,h);
vecU13  = ETA.*U13(ca,h);
vecU2   = (1-ETA).*U2(ci);
vecU22  = (1-ETA).*U22(ci);
vecU3   = ETA.*U3(ca,h);
vecU33  = ETA.*U33(ca,h);

dCIdCA  = exp(zeta*(1-mu)/mu*h.^(1+gmma));
dCIdH   = zeta*(1-mu)/mu*(1+gmma)*h.^gmma.*ca.*exp(zeta*(1-mu)/mu*h.^(1+gmma));

W2      = vecU2 + rho1 .* (vecU2 + vecU22.*ci);
W1      = vecU1 + rho1 .* (vecU1 + vecU11.*(ca-B./(ETA*(1+tauC))) + ...
          vecU13.*h) + W2.*dCIdCA;
W3      = vecU3 + rho1 .* (vecU3 + vecU33.*h + ...
          vecU13.*(ca-B./(ETA*(1+tauC)))) + W2.*dCIdH;

C       = ETA.*ca + (1-ETA).*ci;
H       = ETA.*EFF.*h;
Y       = K.^theta .* (POP.*H).^(1-theta);
R       = (theta*Y./K-delta) / (1+tauPI);
Rhat    = 1 + R;
Rk      = -theta*(1-theta).*K.^(theta-2).*(POP.*H).^(1-theta)/(1+tauPI);
Rh      = theta*(1-theta).*K.^(theta-1).*(POP.*H).^(1-theta)./h/(1+tauPI);


% =====================================================================
% First condition: IC
% =====================================================================
ic      = (bta.^(0:T-1)'*FILL2).*POP.* ...
          (vecU1.*(ca-B./(ETA*(1+tauC))) + vecU2.*ci + vecU3.*h);
y(1,:)  = sum(ic) + bta*ic(end,:)/(1-bta) - vecU1(1,:).*Rhat(1,:)* ...
          A0/((1+tauC)*ETApath(1));


% =====================================================================
% Second condition: resource constr.
% =====================================================================
rc          = POP.*(C+G) + nextK - Y - (1-delta).*K;
y(2:T+1,:)  = rc;


% =====================================================================
% Fourth condition: Household FOC ca(t),ca(t+1)
% Assume steady state at end
% =====================================================================
dum1 = bta*vecU1.*Rhat./ETA;
y(T+2:2*T+1,:) = vecU1./ETA - [dum1(2:end,:); dum1(end,:)];


% =====================================================================
% Fifth condition: Ramsey FOC ca
% =====================================================================
dum2             = (bta.^(0:T-1)'*FILL2).*POP.*W1 + rho2.*POP.*ETA - ...
                   rho4.*vecU11./ETA + rho2.*POP.*(1-ETA).*dCIdCA;
y(2*T+2,:)       = dum2(1,:)-rho1(1,:).*vecU11(1,:).*Rhat(1,:)*A0/ETApath(1)   / (1+tauC);
y(2*T+3:3*T+1,:) = dum2(2:end,:) + bta*rho4(1:end-1,:).* ...
                   Rhat(2:end,:)./ETA(2:end,:).*vecU11(2:end,:);


% =====================================================================
% Seventh condition: Ramsey FOC h
% =====================================================================
dum3             = (bta.^(0:T-1)'*FILL2).*POP.*W3 - ...
                   rho2.*(1-theta).*Y./h - ...
                   rho4.*vecU13./ETA + ...
                   rho2.*POP.*(1-ETA).*dCIdH;
y(3*T+2,:)       = dum3(1,:) - (rho1(1,:)*A0/(ETApath(1)*(1+tauC))) .* ...
                   (vecU13(1,:).*Rhat(1,:) + vecU1(1,:).*Rh(1,:));
y(3*T+3:4*T+1,:) = dum3(2:end,:) + bta*rho4(1:end-1,:)./ETA(2:end,:).* ...
                   (Rhat(2:end,:).*vecU13(2:end,:) + Rh(2:end,:).*vecU1(2:end,:));

               
% =====================================================================
% Final condition: Ramsey FOC k'
% Assume new ss reached at end
% =====================================================================
dum4             = -rho2.*(theta.*Y./K + 1-delta);
dum5             = Rk.*vecU1./ETA;
dum4             = [dum4(2:end,:); dum4(end,:)];
dum5             = [dum5(2:end,:); dum5(end,:)];
y(4*T+2:5*T+1,:) = dum4 + rho2 + rho4.*bta.*dum5;
y(5*T+1,:)       = K(end,:)-K(end-1,:);
       
 if 1>2
 P = 1; for t=2:T, P = [P; P(end)/(1+R(t))]; end
    KY             = K./Y;
    w              = (1-theta)*KY.^(theta/(1-theta)); 
    tau            = 1 + U3(ca,h)./U1(ca,h).*(1+tauC)./(w.*EFFpath);
    hbc1   = (1+tauC)*(ETApath.*ca+(1-ETApath).*ci) - (1-tau).*w.*H - Bpath;
    hbc2   = sum(P.*POPpath.* hbc1);
    rrr    = 1 + R(end);
    hbc3   = P(end,1) * POPpath(end) * hbc1(end,:) / (rrr * (1-1/rrr));
    hbc    = hbc2 + hbc3 - (1 + R(1))*A0;
end

if 1>2
subplot(2,3,1); plot(y(1,1)*ones(T,1));
subplot(2,3,2); plot(y(2:T+1,1));
subplot(2,3,3); plot(y(T+2:2*T+1,1));
subplot(2,3,4); plot(y(2*T+2:3*T+1,1));
subplot(2,3,5); plot(y(3*T+2:4*T+1,1));
subplot(2,3,6); plot(y(4*T+2:5*T+1,1));
drawnow
end