% countries:
% 1=dk, 2=fi, 3=no, 4=sw, 5=uk, 6=be, 7=fr
% 8=de, 9=nl, 10=it, 11=po, 12=sp
cty_txt = ['dk'; 'fi'; 'no'; 'sw'; 'uk'; 'be'; ...
           'fr'; 'de'; 'nl'; 'it'; 'po'; 'sp'; ...
           'ca'; 'us'; 'jp'];

yUS = 0;

for cty = [14 1:13 15]
  load popdata/countryValues;             % ETApath EFFpath init_values
  country = cty_txt(cty,:);
  prints(['Country: ' country],0);

  eta     = ETApath(cty,1);               % Pop aged 20-64 / total pop. First year = 2000
  tauH0   = init_values(cty,1);
  tauC    = init_values(cty,2);
  bb0     = init_values(cty,3);           % Transf. per capita in levels assuming GDP per capita = 1 in yr 2000
  dd      = init_values(cty,4);
  yTarget = init_values(cty,5);


  % Production, prices, population and initial conditions
  kk      = 2.5;
  aa      = dd+kk;

  % =======================================================================
  % Solve for old steady state
  % =======================================================================
  [x rc] = csolve('eq_ss',[.1 .1 .5 1 .2 .03 1]',[],1e-10,200,...
                  bb0,tauH0,dd,aa,kk,eta,yTarget,yUS);


  initialCA(cty)    = x(1);
  initialCI(cty)    = exp(x(2));
  initialH(cty)     = x(3);
  initialY(cty)     = x(4);
  gg0               = x(5);
  r(cty)            = x(6);
  initialEFF(cty)   = x(7);

  if cty==14, yUS=initialY(cty); end
  initialA(cty)    = aa*initialY(cty);
  initialD(cty)    = dd*initialY(cty);
  initialB(cty)    = bb0*initialY(cty);
  initialG(cty)    = gg0*initialY(cty);
  initialTAUC(cty) = tauC;
  initialTAU(cty)  = tauH0;

  bta(cty)         = 1/(1+r(cty));

end

bta   = bta(1);

save(INITIALSSFILE,'initialY','initialA','initialD','initialB','initialG',...
     'initialCI','initialH','initialEFF','initialCA','bta','initialTAUC','initialTAU');