% Generate Figure III
% Report capital flows

clear all
load results\res_OP

% Net foreign wealth (% of domestic output) in new ss
y      = [res.Y];
a      = [res.a];
d      = [res.d];
k      = [res.K];
nfw    = (a-(d+k))./y;
r      = [res.Rpath];
invinc = nfw(end,:).*r(end,:);                                             % investment income from abroad, % of gdp

cty_txt  = ['dk'; 'fi'; 'no'; 'sw'; 'uk'; 'be'; ...
           'fr'; 'de'; 'nl'; 'it'; 'po'; 'sp'; ...
           'ca'; 'us'; 'jp'];

fprintf(1,'cy:       net foreign wealth      inv income from aborad\n')
for cty = [6 13 1 2 7 8 10 15 9 3 11 12 4 5 14]
    fprintf(1,'%2s:          %5.1f                     %5.1f\n',cty_txt(cty,:),...
              100*[nfw(end,cty) invinc(end,cty)])
end
